Skip to content

Update grouprequest ​

PUT
/v1/grouprequests/{grouprequest_id}

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Path Parameters

grouprequest_id*
Type
string
Required

Request Body​

application/json
JSON
{
  
"first_name": "John",
  
"last_name": "Doe",
  
"contact_email": "[email protected]",
  
"items": [
  
  
{
  
  
  
"quantity": [
  
  
  
  
"1",
  
  
  
  
"5",
  
  
  
  
"10"
  
  
  
],
  
  
  
"category_id": [
  
  
  
  
"8828053439d34c60bddc804dc56d9966_ctg"
  
  
  
],
  
  
  
"event_id": "b0bbd7fd09cc47f39960a86f99d27fcd_spp",
  
  
  
"ticket_validity": [
  
  
  
  
"singleday",
  
  
  
  
"twoday",
  
  
  
  
"other",
  
  
  
  
"weekend",
  
  
  
  
"fourday"
  
  
  
],
  
  
  
"event_name": "Monaco Grand Prix 2025",
  
  
  
"category_name": "VIP Hospitality Package",
  
  
  
"event_startdate": "2025-05-25T14:00:00",
  
  
  
"event_stopdate": "2025-05-25T18:00:00"
  
  
}
  
],
  
"assigned_to": "4k1sl7fd09cc47f39960a86f99d27fcd_cln",
  
"status": [
  
  
"receivedrequest",
  
  
"requestedsupplier",
  
  
"ticketsoffered"
  
],
  
"contact_phone": "+31612345678",
  
"comment": "We would like to go to the Dutch GP with 10 people",
  
"end_status": [
  
  
"no_success_not_interesting",
  
  
"no_success_not_available",
  
  
"no_success_client_not_interested",
  
  
"success",
  
  
"mistake"
  
]
}

Responses​

OK

application/json
JSON
{
  
"first_name": "John",
  
"last_name": "Doe",
  
"contact_email": "[email protected]",
  
"items": [
  
  
{
  
  
  
"quantity": [
  
  
  
  
"1",
  
  
  
  
"5",
  
  
  
  
"10"
  
  
  
],
  
  
  
"category_id": [
  
  
  
  
"8828053439d34c60bddc804dc56d9966_ctg"
  
  
  
],
  
  
  
"event_id": "b0bbd7fd09cc47f39960a86f99d27fcd_spp",
  
  
  
"event_name": "Dutch Grand Prix",
  
  
  
"category_name": "Hairpin 1",
  
  
  
"ticket_validity": [
  
  
  
  
"singleday",
  
  
  
  
"twoday",
  
  
  
  
"other",
  
  
  
  
"weekend",
  
  
  
  
"fourday"
  
  
  
],
  
  
  
"event_startdate": "2025-01-01T01:00:00",
  
  
  
"event_stopdate": "2025-01-01T01:00:00"
  
  
}
  
],
  
"assigned_to": "4k1sl7fd09cc47f39960a86f99d27fcd_cln",
  
"status": "receivedrequest",
  
"contact_phone": "+31612345678",
  
"comment": "We would like to go to the Dutch GP with 10 people",
  
"end_status": "success",
  
"grouprequest_id": "5c4a60138736470391ae413cca87wa87_grp",
  
"created": "2025-01-01T01:00:00",
  
"updated": "2025-01-01T01:00:00",
  
"client_id": "4k1sl7fd09cc47f39960a86f99d27fcd_cln",
  
"deleted": "2025-01-01T01:00:00",
  
"status_updated_at": "2025-01-01T01:00:00",
  
"created_by": "4k1sl7fd09cc47f39960a86f99d27fcd_cln",
  
"updated_by": "4k1sl7fd09cc47f39960a86f99d27fcd_cln",
  
"deleted_by": "4k1sl7fd09cc47f39960a86f99d27fcd_cln"
}

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​